#
# TODO:
#	- bconds
#	- more bindings
#	- movit library - http://libregraphicsworld.org/blog/entry/introducing-movit-free-library-for-gpu-side-video-processing
#
Summary:	MLT - open source multimedia framework
Summary(pl.UTF-8):	MLT - szkielet multimedialny o otwartych źródłach
Name:		mlt
Version:	6.2.0
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://downloads.sourceforge.net/mlt/%{name}-%{version}.tar.gz
# Source0-md5:	cdbc5d1d686b75dd2b8fd14059bdd9d4
Patch0:		%{name}-qt5.patch
URL:		http://www.mltframework.org/
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5Xml-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	exiv2-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	gtk+2-devel
#BuildRequires:	ladspa-devel
#BuildRequires:	lame-libs-devel
BuildRequires:	libdv-devel >= 0.102
#BuildRequires:	libmad-devel
BuildRequires:	libquicktime-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libvorbis-devel >= 1:1.0.1
BuildRequires:	libxml2-devel >= 2.5
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	sox-devel
BuildRequires:	swfdec-devel
BuildRequires:	swig-python
BuildRequires:	which
Obsoletes:	mlt++ < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MLT is an open source multimedia framework, designed and developed for
television broadcasting. It provides a toolkit for broadcasters, video
editors, media players, transcoders, web streamers and many more types
of applications. The functionality of the system is provided via an
assortment of ready to use tools, XML authoring components, and an
extendible plug-in based API.

%description -l pl.UTF-8
MLT to szkielet multimedialny o otwartych źródłach zaprojektowany i
rozwijany do nadawania telewizji. Udostępnia zestaw narzędzi dla
nadawców, edytory obrazu, odtwarzacze mediów, transkodery, narzędzia
do udostępniania strumieni przez WWW i wiele innych rodzajów
aplikacji. Funkcjonalność systemu jest zapewniona poprzez asortyment
gotowych do użycia narzędzi, komponentów do tworzenia XML-a i
rozszerzalne API oparte na wtyczkach.

%package -n python-mlt
Summary:	MLT Python bindings
Summary(pl.UTF-8):	Wiązania MLT dla Pythona
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-mlt
Python bindings for MLT - open source multimedia framework.

%package devel
Summary:	Header files for MLT
Summary(pl.UTF-8):	Pliki nagłówkowe dla MLT
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	mlt++-devel < %{version}

%description devel
This package contains header files for MLT.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla MLT.

%prep
%setup -q
%patch0 -p1

# Don't overoptimize (breaks debugging)
sed -i -e '/fomit-frame-pointer/d' configure
sed -i -e '/ffast-math/d' configure

%build
%configure \
	--enable-gpl \
	--enable-gpl3 \
	--enable-motion-est \
	--disable-debug \
%ifarch i586 i686 %{x8664}
	--enable-mmx \
%else
	--disable-mmx \
%endif
%ifarch %{x8664}
	--enable-sse \
	--enable-sse2 \
%else
	--disable-sse \
	--disable-sse2 \
%endif
	--swig-languages=python

sed -i -e 's#OPTIMISATIONS=#OPTIMISATIONS=%{rpmcflags} %{rpmcppflags}#g' config.mak

%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p src/swig/python/{*.py,*.so} $RPM_BUILD_ROOT%{py_sitedir}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %ghost %{_libdir}/*.so.?
%attr(755,root,root) %{_libdir}/*.so.*.*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*
%{_datadir}/mlt*

%files -n python-mlt
%defattr(644,root,root,755)
%{py_sitedir}/*.py[co]
%attr(755,root,root) %{py_sitedir}/*.so

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/*.pc
%{_includedir}/mlt*
%{_libdir}/*.so
%changelog
* Sun Sep 04 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mlt.git;a=log;h=master

* Sun Aug 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 573f22f
- build with qt5

* Sun Aug 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f451d4a
- from fc; drop old paths

* Sun Aug 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 89a0b89
- up to 6.2.0

* Sat Apr 02 2016 Jan Rękorajski <baggins@pld-linux.org> bb8ae38
- updated to 0.9.8
- added ffmpeg 3 patch from opensuse
- dsabled vdpau support (https://ehc.ac/p/mlt/bugs/240/?limit=25)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 5befbab
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b34adcd
- release 2 (by relup.sh)

* Tue May 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 16bea84
- up to 0.9.6

* Sun May 10 2015 Jan Rękorajski <baggins@pld-linux.org> d0e3b10
- x32 rebuild
- release 3 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fc6485
- release 2 (by relup.sh)

* Tue Sep 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d4a737e
- up to 0.9.2

* Sun Apr 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4917f66
- rel 4; tiny fixes from debian

* Mon Sep 23 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 303de74
- rel 3; libvdpau.so paths

* Mon Sep 23 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> bd803dd
- rel 2; enable mmx, sse, sse2, avformat vdpau, gpl3 components, swfdec

* Wed Aug 28 2013 Jan Rękorajski <baggins@pld-linux.org> 6c4a5b8
- up to 0.9.0

* Mon Apr 22 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e25197c
- up to 0.8.8

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b4bade3
- release 2 (by relup.sh)

* Tue Nov 13 2012 Jan Rękorajski <baggins@pld-linux.org> e47a823
- fix build with ffmpeg 1.0

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 9231495
- updated to 0.8.2

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> 6abdca7
- Updated to 0.8.0
QImage dir is qt4

* Sat Sep 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1efbe3e
- up to 0.7.4

